<?php
function uptime($url)
{
    $cacheKey = 'uptime_' . md5($url);
    $status = apcu_fetch($cacheKey);
    if ($status !== false) {
        return $status;
    }

    $headers = @get_headers($url);
    if ($headers && strpos($headers[0], '200' || '302' || '301') !== false) {
        $status_code = substr($headers[0], 9, -3);
        $status = "<span id='uptime-up'>UP $status_code</span>";
    } elseif ($headers && ($headers[0] == ) {
        $status_code2 = substr($headers[0], 0, 3);
        $status = "<span id='uptime-down'>DOWN $status_code2</span>";
    }

    apcu_store($cacheKey, $status, 600);
    return $status;
}
?>

<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Wuuuuu~</title>
    <meta name="description" content="Alojando servicios de privacidad online para el internet, y mas mierdas que me interesan">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="Privacy Services, Invidious, 4get, Matrix Federation">
    <link rel="stylesheet" href="/style.css" type="text/css">
    <link rel="icon" type="image/x-icon" href="./favicon.ico">
    <a rel="Mastodon" href="https://noc.social/@fijxu"></a>
    <style>
        .lol {
            width: 300vh;
            height: auto;
            max-height: 100%;
            max-width: 100%;
        }
    </style>
</head>

<body>
    <div class="top">
        <a class="langglow">Other language?: <a class="langglow" href="./index-en">EN</a></a> |
        <a href="./donar/">Donaciones</a> |
        <a href="./privacy/">Política de Privacidad</a> |
        <a href="https://files.zzls.xyz">Archivos</a> |
        <a href="./anuncios/">Anuncios</a> |
        <a>Contacto: <a href="https://matrix.to/#/@fijxu:zzls.xyz">@fijxu:zzls.xyz</a> |
            <a href="./transparency">Transparencia</a> |
            <a href="./minecraft">Server de Minecraft (TOTALMENTE VIVO!)</a> |
            <a href="https://noc.social/@fijxu">Mastodon</a> |
            <a href="https://zzls.xyz/trafficstats">Estadísticas de tráfico de Internet</a> |
            <a href="https://blog.zzls.xyz/es">Blog</a>
    </div>
    <div class="content">
        <h1>lol</h1>
        <p class="lastupdate">Ultima Actualización: 2023-10-27</p>
        <p>
            Hola, me conocen como "<b>Fijxu</b>" y me dedico a alojar servicios
            enfocados a
            la
            privacidad y otros tipos de servicios varios para
            Latinoamérica y el mundo. A muy poca gente de Latinoamérica
            le importa su privacidad (por mera ignorancia y
            conveniencia) asi que aquí estoy yo, haciéndolo todo más
            fácil para esa gente que quiere empezar a cuidar de
            sus datos personales. Obviamente, si eres de otro país, como Estados Unidos o un país europeo siéntete libre
            de utilizarlos, mientras funcionen para ti, todo bien.
        </p>
        <h2>Lista de servicios</h2>
        <p style="font-size: small; color: burlywood;">⚠️ <i>Por favor,
                antes de que pienses usar mis servicios de forma
                diaria, toma en cuenta que los que están marcados con
                <a class="selfhosted">(Self-Hosted)</a>
                pueden
                caerse en cualquier momento porque
                están alojados con mi propio internet, no arriendo
                servidores dedicados para estos servicios.
                (Porque no soy capaz de pagarlo xD)</i>
        </p>
        <h4>Servicios enfocados a la Privacidad:</h4>
        <ul>
            <li>
                <a class="THEYGLOW" style="color: greenyellow;" href="https://4get.zzls.xyz">4get</a> @
                🇨🇱 (<a href="http://4get.zzlsghu6mvvwyy75mvga6gaf4znbp3erk5xwfzedb4gg6qqh2j6rlvid.onion/">Tor</a>)
                <a class="selfhosted">(Self-Hosted)</a> ⎯ <span style="background-image: linear-gradient(
                  90deg,
                  rgba(255, 0, 0, 1) 0%,
                  rgba(255, 154, 0, 1) 10%,
                  rgba(208, 222, 33, 1) 20%,
                  rgba(79, 220, 74, 1) 30%,
                  rgba(63, 218, 216, 1) 40%,
                  rgba(47, 201, 226, 1) 50%,
                  rgba(28, 127, 238, 1) 60%,
                  rgba(95, 21, 242, 1) 70%,
                  rgba(186, 12, 248, 1) 80%,
                  rgba(251, 7, 217, 1) 90%,
                  rgba(255, 0, 0, 1) 100%
              ); color: transparent; background-clip: text; -webkit-background-clip: text;">"Un
                    metabuscador que
                    obtiene resultados de otros motores y elimina todo
                    el rastreo y la mierda de Microsoft/globohomo que
                    añaden."</span> <a href="https://git.lolcat.ca/lolcat/4get">Codigo
                    fuente</a> <?php echo (uptime('https://4get.zzls.xyz')) ?>
            </li>
            <li>
                <a class="THEYGLOW" style="color: greenyellow;" href="https://4getus.zzls.xyz">4get</a> @
                🇺🇸 (<a href="http://4getus.zzls2vhse6jeahgdz5snle37dnngmbeh4jgug5xvsdpmlchaw3ieonid.onion/">Tor</a>)
                ⎯ Lo mismo que el anterior pero en estados unidos.
                Podría ser más estable porque está en un VPS, pero
                tiene más probabilidad de conseguir "rate limit"
                también. <?php echo (uptime('https://4getus.zzls.xyz')) ?>
            </li>
            <li>
                <a style="color: greenyellow;"></a><a href="https://matrix.zzls.xyz">Matrix</a> @ 🇨🇱
                <a class="selfhosted">(Self-Hosted)</a> ⎯ Servidor
                de Matrix que usa <a href="https://github.com/matrix-org/synapse">Synapse</a>,
                con un NVME, PostgreSQL y un buen CPU. Es compatible con
                Spaces, Threading y otras funciones
                experimentales. <?php echo (uptime('https://pbin.zzls.xyz')) ?>
                <p>También
                    integra mautrix-whatsapp</p>
                Si quieres una cuenta
                contactame por <a href="https://matrix.to/#/@fijxu:zzls.xyz">Matrix</a>
            </li>
            <li>

                <a href="https://search.zzls.xyz">SearxNG</a> @ 🇨🇱 (<a href="http://searxdr3pqz4nydgnqocsia2xbywptxbkympa2emn7zlgggrir4bkfad.onion/">Tor</a>)
                ⎯
                Un metabuscador
                que agrega resultados de más de 70
                servicios de búsqueda.
                <a href="https://github.com/searxng/searxng">Código
                    Fuente</a>,
                <a href="https://searx.space">Otras Instancias</a>
            </li>
            <li>
                <a href="https://inv.zzls.xyz">Invidious</a> @ 🇨🇱 (<a href="http://inv.zzls.i2p/?i2paddresshelper=6s3qhqcyth644rlssv2sajluvrx632uaucsmnwaowglg6hocxjfa.b32.i2p">I2P</a>)
                <a class="selfhosted">(Self-Hosted)</a> ⎯ Un
                front-end alternativo a YouTube.
                Siéntete libre de usar las descargas y registrarte.
            </li>
            <li>
                <a href="https://librex.zzls.xyz">LibreX</a>
                @ 🇨🇱 (<a href="http://librex.zzlsghu6mvvwyy75mvga6gaf4znbp3erk5xwfzedb4gg6qqh2j6rlvid.onion/">Tor</a>)
                (<a href="http://librex.zzls.i2p/?i2paddresshelper=huurwog32tny663wkglrhozfoyqyqmsuxjbd7dtudccx44awjda.b32.i2p/">I2P</a>)
                <a class="selfhosted">(Self-Hosted)</a> ⎯ "Metabuscador
                libre de frameworks y javascript que
                respeta tu privacidad". Usa google y
                otros motores de búsqueda
                para obtener los resultados, asi que ninguna de tu
                información es revelada a hacia los motores de
                búsqueda, se podría decir que actúa como un proxy. <a href="https://github.com/hnhx/librex">Codigo
                    Fuente</a>
            </li>
            <li>
                <a href="https://ri.zzls.xyz">Rimgo</a> @ 🇨🇱 (<a href="http://rimgo.zzlsghu6mvvwyy75mvga6gaf4znbp3erk5xwfzedb4gg6qqh2j6rlvid.onion/">Tor</a>)
                (<a href="http://rimgo.zzls.i2p/?i2paddresshelper=p57356k2xwhxrg2lxrjajcftkrptv4zejeeblzfgkcvpzuetkz2a.b32.i2p">I2P</a>)
                ⎯ Un proxy de Imgur que es capaz de cargar
                las imágenes mucho mas rápido que la pagina de Imgur
                ocultando tu IP.
                <a href="https://codeberg.org/video-prize-ranch/rimgo">Código
                    Fuente</a>
            </li>
            <li>
                <a href="https://pbin.zzls.xyz">Privatebin</a> @ 🇨🇱
                <a class="selfhosted">(Self-Hosted)</a> ⎯ Un
                pastebin donde el servidor tiene 0 conocimiento sobre
                los pastes, todos los
                datos están encriptados en el lado del cliente usando
                AES-256.
            </li>
        </ul>
        <h4>Servicios Varios:</h4>
        <ul>
            <li>
                <a href="https://ayaya.beauty">ayaya.beauty</a> @ 🇨🇱
                <a class="selfhosted">(Self-Hosted)</a> ⎯
                Un subidor multimedia temporal
                que usa <a href="https://github.com/nokonoko/uguu">Uguu</a>,
                permite
                subir archivos de hasta 512MB como máximo con una
                duración de 7 Dias.
            </li>
            <li>
                <a style="color: greenyellow;"></a><a href="https://git.zzls.xyz">Forgejo</a> @ 🇨🇱
                <a class="selfhosted">(Self-Hosted)</a> ⎯ Un
                servidor git donde puedes alojar
                tus proyectos personales o hacer mirrors de otros
                repositorios git con la intención de archivarlos.
                <i>Ya era publico hace un tiempo, pero ahora decido
                    destacarlo en la pagina web</i>
            </li>
            <li>
                <a href="https://logs.zzls.xyz">Logs de Twitch</a> @
                🇺🇸 ⎯ Un montón de logs de varios streamers de
                habla hispana, + de 400GiB de logs (en conjunto de todos
                los canales dentro del listado) existen
                actualmente.
            </li>
            <li>
                <a href="https://logs.spanix.team">Logs de Twitch
                    (Spanixbot)</a> @ 🇺🇸 ⎯ Logs que son usados por el
                bot
                <a href="https://spanix.team">Spanixbot</a>, hecho por
                <a href="https://twitch.tv/ZonianMidian">ZonianMidian</a>.
            </li>
            <li>
                <a href="https://count.ayaya.beauty">Moe counter</a> @
                🇨🇱 ⎯ Un contador de visitas como "Gelbooru" que
                puedes integrar a tu pagina web a archivos markdown para
                hacer un recuento de la cantidad de visitas.
            </li>
        </ul>
        <h2>Servers!!!</h2>
        <p>Puedes encontrar información acerca de los servidores que se
            usan para alojar los servicios que proveo aquí
            -> <a href="../srvspecs">si, aquí</a> (SOLO EN INGLES)</p>
        <h2>Preguntas y Respuestas</h2>
        <h4>Tus servicios están corriendo detrás de <a style="color:coral">Cloudflare?</a></h4>
        <p><b>No xd</b></p>
        <p>Aqui esta la razon:</p>
        <p>No se debería usar Cloudflare para servicios
            relacionados con la privacidad, ya que
            invalida todo el concepto de privacidad y libertad en
            online. Cloudflare puede des-encriptar todo el trafico
            entre el usuario y el servidor y eso no es privado ni
            seguro. Al alojar varios servicios enfocados en la privacidad hay gente que prefiere utilizar
            navegadores
            con JavaScript desactivado o extensiones para solo permitir JavaScript "libre" y Cloudflare siempre usa
            e
            injecta codigo JavaScript en las paginas para analíticas y otras mierdas . Ademas que nadie quiere los
            captchas de mierda
            y pantallas de carga de más de 5 segundos solo por
            cloudflare.</p>
        <p> Creo que en toda mi vida he gastado al rededor de unas 2
            horas gracias a los captchas de cloudflare que a
            veces son infinitos y demasiado molestos. Se supone que
            tienen que filtrar bots, no personas.</p>
        <h4>Como puedo asegurarme de que no estas guardando datos
            personales?</h4>
        <p>
            La configuraciones de NGINX y otras configuraciones de
            los servidores están
            <a href="https://git.zzls.xyz/Fijxu/etc-configs">aca</a>,
            están en diferentes "ramas" asi que explora lo que
            quieras, si encuentras que algo no es de tu gusto dentro
            de las configuraciones, cuéntame por Matrix:
            <a href="https://matrix.to/#/@fijxu:zzls.xyz">@fijxu:zzls.xyz</a>
            (Siempre estoy disponible ahí, no esta muerto).
        </p>
        <!-- <b> - Como puedo <span style="color: red">CONFIAR EN TI</span>?</b>
        <p>
            > Confías en <b style="color: #4285f4">G</b><b style="color: #ea4335">O</b><b style="color: #fbbc05">O</b><b
                style="color: #4285f4">G</b><b style="color: #35ae56">L</b><b style="color: #ea4335">E</b>,
            <b>INSTAGRAM</b> y otros servicios con tus datos personales, cierto? Asi que no debería haber problema en
            confiar en una persona independiente que lucha por la privacidad online a preferir a una gran empresa que se
            lucra de la venta de datos personales cierto?
        </p>
        <blockquote cite="https://cock.li/" style="margin-bottom: 1px;">
            Administrar un host de correo es algo así como ser enfermera.
            Hay un breve período al principio cuando la idea de ver las partes privadas de la gente podría
            ser vagamente excitante en un sentido teórico, pero ese tipo de cosas
            no dura mucho cuando se enfrenta a la realidad diaria de mierda, orina,
            sangre y vómito. Ahora que lo pienso, administrar un host de correo
            es exactamente como ser enfermera, sólo que la gente muere un poco menos a menudo.
        </blockquote>
        <p style="text-align: center;font-size:0.5em;">
            Traducido del Ingles al Español
        </p> -->

        <!-- <b>
            - Porque los servicios enfocados a la privacidad están en Chile y no Estados Unidos?</b>
        <p>
            > Debido a las "<span class="THEYGLOW">agencias de 3 letras</span>" (Sí,
            ellos <span class="THEYGLOW">brillan</span> demasiado) que existen en estados unidos, ademas, tampoco quiero
            alojar todo en el mismo país donde ya alojo otros servicios. Sobre los servicios auto alojados, estos son
            mucho mas seguros y confiables ya que están en mi casa, asi que tengo control total sobre ellos, y si sale
            algo mal, no necesito contactar a algún tipo de soporte. Lo único malo es que si se me corta el internet por
            un largo periodo de tiempo, esos servicios no estarán disponibles hasta que vuelva el internet, pero eso
            para muy pocas veces.
        </p> 
    
    SI LEES ESTO, ESTO ESTA COMENTADO PORQUE SUENA MUY AUTISTA PARA LA GENTE DE LATINO AMERICA Y ESTA MAS ENFOCADO A LOS USUARIOS DE HABLA INGLESA XDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD-->
        <h4>Tienes un link para poder donar?</h4>
        <p><a href="./donate/">Si</a>.</p>
    </div>
    <footer>
        <div class="banners">
            <a href="https://spyware.neocities.org/articles/discord_es.html"><img src="./assets/discord.gif" alt="Discord?, No Thanks"></a>
            <a href="https://commonterms.org/"><img src="./assets/notread.gif" alt="Do you read TOS right?"></a>
            <a href="https://absurdismworld.cc/0x40/"><img src="./assets/rave.gif" alt="RAVIN'"></a>
            <img src="./assets/seedyourtorrents.gif" alt="Sharing is caring <3">
            <img src="./assets/nftbutton.gif" alt="NFTs? wtf">
            <a><img src="./assets/08831.gif" alt="OOOOO"></a>
            <a href="https://inv.zzls.xyz/watch?v=1pMDdKV8wCw"><img src="./assets/right2repair.gif" alt="I support Right To Repair (Not like Apple)"></a>
            <!-- <p style="margin: auto;"> -->
            <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width: 0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png"></a>
            <a href="https://jigsaw.w3.org/css-validator/check/referer">
                <img style="border:0;width:88px;height:31px" src="https://jigsaw.w3.org/css-validator/images/vcss" alt="Valid CSS!">
            </a>
            <!-- </p> -->
        </div>
        <div class="banners">
            <a><img src="./assets/pasto.gif" alt="Pasto i guess"></a>
            <a href="https://bienvenidoainternet.org/"><img src="./assets/8831bai.gif" alt="Bienvenido a Internet :D"></a>
            <a><img src="./assets/pasto.gif" alt="Pasto i guess"></a>
        </div>
        <p><img src="https://count.ayaya.beauty/get/@:index.html.zzls2?theme=asoul" style="width: 200px;" /></p>
        <img alt="Cool stats" height="150" src="https://zzls.xyz/assets/traffic/trafficstats.jpg">
        <div style="font-size: 0.9rem;">
            <br>Este trabajo esta licenciado bajo
            <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">"Creative
                Commons
                Attribution-ShareAlike 4.0
                International License"</a>.
        </div>
    </footer>
</body>

</html>